Subject: bug#61676: package transformations not honored working from a manifest

From: Ludovic Courtès <[email-masked]>
Date: Wed, 01 Mar 2023 16:53:00 +0100

Hi,

Ludovic Courtès <[email-masked]> skribis:

> Maxim Cournoyer <[email-masked]> skribis:

[...]

>> It seems to me that the rewriting options should be honored on any
>> packages being manipulated, whether they come from the Guix collection,
>> a file, a manifest or another means.
>
> I’m not convinced; I think manifests should be interpreted literally.
>
> Incidentally, changing that would likely break existing workflows…

Consequently, my inclination would be to close this issue as “wontfix”.

WDYT?

Ludo’.